ZCAT(1)

NAME
zcat - decompress and concatenate files to standard output

SYNOPSIS
zcat [options] [files]

DESCRIPTION
Zcat copies each given file ("-" means standard input), to standard output. If any given file is compressed, its decompressed content is used. If a given file does not exist, and its name does not end with one of the known extensions, zcat tries the compressed file names corresponding to the supported formats. If no files are specified, data is read from standard input, decompressed if needed, and sent to standard output. Data read from standard input must be of the same type; all uncompressed or all in the same compression format.

The supported formats are bzip2, gzip, lzip and xz.

Exit status is 0 if no errors occurred, non-zero otherwise.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-A, --show-all
    equivalent to '-vET'

-b, --number-nonblank
    number nonblank output lines

-e  equivalent to '-vE'

-E, --show-ends
    display '$' at end of each line

--format=<fmt>
    force given format (bz2, gz, lz, xz)

-n, --number
    number all output lines

-N, --no-rcfile
    don't read runtime configuration file

-q, --quiet
    suppress all messages

-r, --recursive
    operate recursively on directories

-s, --squeeze-blank
    never more than one single blank line

-t  equivalent to '-vT'

-T, --show-tabs
    display TAB characters as '^I'

-v, --show-nonprinting
    use '^' and 'M-' notation, except for LF and TAB

--verbose
    verbose mode (show error messages)

--bz2=<command>
    set compressor and options for bzip2 format

--gz=<command>
    set compressor and options for gzip format

--lz=<command>
    set compressor and options for lzip format

--xz=<command>
    set compressor and options for xz format

REPORTING BUGS
Report bugs to zutils-bug@nongnu.org
Zutils home page: http://www.nongnu.org/zutils/zutils.html

COPYRIGHT
Copyright © 2014 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.